|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3CanvasItemList Class Reference

The Q3CanvasItemList class is a list of Q3CanvasItems. More...

    #include <Q3CanvasItemList>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits Q3ValueList<Q3CanvasItem *>.

- List of all members, including inherited members

### Public Functions

- Q3CanvasItemList operator+ ( const Q3CanvasItemList & l ) const

- 24 public functions inherited from Q3ValueList
- 43 public functions inherited from QLinkedList

## Detailed Description

The Q3CanvasItemList class is a list of Q3CanvasItems.

Q3CanvasItemList is a Q3ValueList of pointers to Q3CanvasItems. This class is used by some methods in Q3Canvas that need to return a list of canvas items.

The Q3ValueList documentation describes how to use this list.

## Member Function Documentation

### Q3CanvasItemList Q3CanvasItemList::operator+ ( const Q3CanvasItemList & l ) const

Returns the concatenation of this list and list l.